Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Sign up and get started with Confidence today! Create your account
Updates a group
cURL
curl --request PATCH \ --url https://iam.eu.confidence.dev/v1/groups/{group} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "displayName": "<string>", "name": "<string>", "description": "<string>", "labels": [ {} ], "owner": "<string>" } '
import requests url = "https://iam.eu.confidence.dev/v1/groups/{group}" payload = { "displayName": "<string>", "name": "<string>", "description": "<string>", "labels": [{}], "owner": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({ displayName: '<string>', name: '<string>', description: '<string>', labels: [{}], owner: '<string>' }) }; fetch('https://iam.eu.confidence.dev/v1/groups/{group}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://iam.eu.confidence.dev/v1/groups/{group}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'displayName' => '<string>', 'name' => '<string>', 'description' => '<string>', 'labels' => [ [ ] ], 'owner' => '<string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://iam.eu.confidence.dev/v1/groups/{group}" payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"labels\": [\n {}\n ],\n \"owner\": \"<string>\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://iam.eu.confidence.dev/v1/groups/{group}") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"displayName\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"labels\": [\n {}\n ],\n \"owner\": \"<string>\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://iam.eu.confidence.dev/v1/groups/{group}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"displayName\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"labels\": [\n {}\n ],\n \"owner\": \"<string>\"\n}" response = http.request(request) puts response.read_body
{ "displayName": "<string>", "groupType": "GROUP_TYPE_UNSPECIFIED", "createTime": {}, "updateTime": {}, "creator": "<string>", "updater": "<string>", "identity": "<string>", "name": "<string>", "description": "<string>", "labels": [ {} ], "owner": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The list of fields to update. Fields are specified relative to the group
Human friendly name of the group.
The resource name of the group. For example: `groups/1bhq4c2zqigdzqg6ufni/
Optional description of the group.
General labels for this resource.
Show child attributes
The owner of the resource. If not set will default to the creator.
Returns a Group.
A group of identities.
The type of the group.
GROUP_TYPE_UNSPECIFIED
USER_CREATED
SYSTEM_CREATED
Time when the group was first created.
Time when the group was last updated.
Reference to the identity that created this group.
Reference to the identity that last updated this group.
Reference to the identity this group represents.
Was this page helpful?
Contact support